package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.SysAdmin;
import com.sa.ibiz.demo.demo.service.dto.SysAdminSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[SysAdmin] 服务对象接口
 */
public interface SysAdminService extends IService<SysAdmin>{

		SysAdmin get(SysAdmin et);
	boolean getDraft(SysAdmin et);
	boolean create(SysAdmin et);
	boolean update(SysAdmin et);
	boolean remove(SysAdmin et);
	boolean checkKey(SysAdmin et);
    List<SysAdmin> listDefault(SysAdminSearchFilter filter) ;
	Page<SysAdmin> searchDefault(SysAdminSearchFilter filter);
	/**	 实体[SysAdmin] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }